List onboarding invites
List all the onboarding invites created by the caller's account.
To access this endpoint using an access token
you'll need to specify the /accounts.read scope.
curl -X GET "https://api.moov.io/onboarding-invites" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.onboarding.listInvites();
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->onboarding->listInvites(
);
if ($response->onboardingInvites !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListOnboardingInvitesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListOnboardingInvitesResponse res = sdk.onboarding().listInvites()
.call();
if (res.onboardingInvites().isPresent()) {
System.out.println(res.onboardingInvites().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.onboarding.list_invites()
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.onboarding.list_invites
unless res.onboarding_invites.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Onboarding.ListInvitesAsync();
// handle response[
{
"code": "N1IA5eWYNh",
"link": "http://example.com",
"returnURL": "string",
"termsOfServiceURL": "string",
"scopes": [
"accounts.read"
],
"grantScopes": [
"transfers.write"
],
"capabilities": [
"collect-funds.card-payments",
"send-funds.ach"
],
"feePlanCodes": [
"merchant-direct"
],
"redeemedAccountID": "string",
"prefill": {
"accountType": "business",
"profile": {
"business": {
"legalBusinessName": "Whole Body Fitness LLC"
}
}
},
"partner": {
"accountID": "string",
"accountMode": "production",
"displayName": "Bob's Widgets"
},
"createdOn": "2019-08-24T14:15:22Z",
"revokedOn": "2019-08-24T14:15:22Z",
"redeemedOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
v2026.08.00 uses v2026.07.00.
A malformed value, such as 2022, returns a 404 response.
v2026.07.00
Response
capabilities
array<string>
transfers,
send-funds,
send-funds.push-to-card,
money-transfer.push-to-card,
send-funds.ach,
send-funds.rtp,
send-funds.instant-bank,
send-funds.wire,
collect-funds,
collect-funds.card-payments,
money-transfer.pull-from-card,
collect-funds.ach,
wallet,
wallet.balance,
card-issuing,
issuing.cardholder,
platform.production-app,
platform.wallet-transfers
code
string
createdOn
string<date-time>
feePlanCodes
array<string>
grantScopes
array<string>
accounts.read,
accounts.write,
analytics.read,
apple-pay-merchant.read,
apple-pay-merchant.write,
apple-pay.read,
apple-pay.write,
bank-accounts.read,
bank-accounts.write,
capabilities.read,
capabilities.write,
cards.read,
cards.write,
documents.read,
documents.write,
fed.read,
files.read,
files.write,
issued-cards.read,
issued-cards.write,
issued-cards.read-private,
payment-methods.read,
ping.read,
profile-enrichment.read,
profile.read,
profile.write,
profile.disconnect,
representatives.read,
representatives.write,
transfers.read,
transfers.write,
wallets.read
link
string<uri>
partner
object
Show child attributes
partner
accountID
string
required
accountMode
string<enum>
required
sandbox,
production
displayName
string
required
prefill
object
Show child attributes
prefill
accountType
string<enum>
required
individual,
business
profile
object
required
Show child attributes
prefill.profile
business
object
Show child attributes
prefill.profile.business
legalBusinessName
string
<=64 characters
required
Pattern
address
object
Show child attributes
prefill.profile.business.address
addressLine1
string
<=60 characters
required
Pattern
city
string
<=32 characters
required
Pattern
country
string
<=2 characters
required
postalCode
string
<=5 characters
required
stateOrProvince
string
<=2 characters
required
addressLine2
string
<=32 characters
Pattern
businessType
string<enum>
soleProprietorship,
unincorporatedAssociation,
trust,
publicCorporation,
privateCorporation,
llc,
partnership,
unincorporatedNonProfit,
incorporatedNonProfit,
governmentEntity
description
string
[10 to 100] characters
Pattern
doingBusinessAs
string
<=64 characters
Pattern
string<email>
<=255 characters
industry
string
industryCodes
object
Show child attributes
prefill.profile.business.industryCodes
mcc
string
4 characters
naics
string
[2 to 6] characters
sic
string
4 characters
phone
object
Show child attributes
prefill.profile.business.phone
countryCode
string
<=1 characters
number
string
<=10 characters
primaryRegulator
string<enum>
OCC,
FDIC,
NCUA,
FRB,
state-cu-regulator
taxID
object
Show child attributes
prefill.profile.business.taxID
ein
object
required
Show child attributes
prefill.profile.business.taxID.ein
number
string
required
website
string<uri>
<=100 characters
individual
object
Show child attributes
prefill.profile.individual
name
object
required
Show child attributes
prefill.profile.individual.name
firstName
string
<=64 characters
required
Pattern
lastName
string
<=64 characters
required
Pattern
middleName
string
<=64 characters
Pattern
suffix
string
<=20 characters
Pattern
address
object
Show child attributes
prefill.profile.individual.address
addressLine1
string
<=60 characters
required
Pattern
city
string
<=32 characters
required
Pattern
country
string
<=2 characters
required
postalCode
string
<=5 characters
required
stateOrProvince
string
<=2 characters
required
addressLine2
string
<=32 characters
Pattern
birthDate
object
Show child attributes
prefill.profile.individual.birthDate
day
integer
required
month
integer
required
year
integer
required
string<email>
<=255 characters
governmentID
object
Show child attributes
prefill.profile.individual.governmentID
itin
object
Show child attributes
prefill.profile.individual.governmentID.itin
full
string
Pattern
lastFour
string
ssn
object
Show child attributes
prefill.profile.individual.governmentID.ssn
full
string
Pattern
lastFour
string
phone
object
Show child attributes
prefill.profile.individual.phone
countryCode
string
<=1 characters
number
string
<=10 characters
capabilities
array<string>
Capabilities to request when the account is created. Request granular capability IDs that match your use case.
Read our capabilities reference to choose the right capabilities for your integration.
The send-funds, collect-funds, and wallet capability IDs are deprecated. Use granular values such as send-funds.ach, collect-funds.card-payments, or wallet.balance instead.
transfers,
send-funds,
send-funds.push-to-card,
money-transfer.push-to-card,
send-funds.ach,
send-funds.rtp,
send-funds.instant-bank,
send-funds.wire,
collect-funds,
collect-funds.card-payments,
money-transfer.pull-from-card,
collect-funds.ach,
wallet,
wallet.balance,
card-issuing,
issuing.cardholder,
platform.production-app,
platform.wallet-transfers
customerSupport
object
Show child attributes
prefill.customerSupport
address
object
Show child attributes
prefill.customerSupport.address
addressLine1
string
<=60 characters
required
Pattern
city
string
<=32 characters
required
Pattern
country
string
<=2 characters
required
postalCode
string
<=5 characters
required
stateOrProvince
string
<=2 characters
required
addressLine2
string
<=32 characters
Pattern
string<email>
<=255 characters
phone
object
Show child attributes
prefill.customerSupport.phone
countryCode
string
<=1 characters
number
string
<=10 characters
website
string<uri>
foreignID
string
<=64 characters
Pattern
metadata
object
mode
string<enum>
sandbox,
production
settings
object
Show child attributes
prefill.settings
achPayment
object
Show child attributes
prefill.settings.achPayment
companyName
string
[1 to 16] characters
required
Pattern
cardPayment
object
Show child attributes
prefill.settings.cardPayment
statementDescriptor
string
[4 to 22] characters
Pattern
termsOfService
object
Show child attributes
prefill.termsOfService
manual
object
Show child attributes
prefill.termsOfService.manual
acceptedDate
string<date-time>
required
acceptedDomain
string<uri>
required
acceptedIP
string
required
acceptedUserAgent
string
<=255 characters
required
token
string
redeemedAccountID
string
redeemedOn
string<date-time>
returnURL
string
revokedOn
string<date-time>
scopes
array<string>
accounts.read,
accounts.write,
analytics.read,
apple-pay-merchant.read,
apple-pay-merchant.write,
apple-pay.read,
apple-pay.write,
bank-accounts.read,
bank-accounts.write,
capabilities.read,
capabilities.write,
cards.read,
cards.write,
documents.read,
documents.write,
fed.read,
files.read,
files.write,
issued-cards.read,
issued-cards.write,
issued-cards.read-private,
payment-methods.read,
ping.read,
profile-enrichment.read,
profile.read,
profile.write,
profile.disconnect,
representatives.read,
representatives.write,
transfers.read,
transfers.write,
wallets.read
termsOfServiceURL
string